<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;


function cm_swap_rowcolor ($cm_curcolor, $cm_color1, $cm_color2) {
  if ($cm_curcolor == $cm_color1) {
    $cm_curcolor = $cm_color2;
  }
  else {
    $cm_curcolor = $cm_color1;
  }
  return ($cm_curcolor);
}

$cm_sorteddir = array();
if ($cm_path) {
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_type from content3 where cmdb_directory = '$cm_path' and cmdb_type like '%p%'") or db_die();
  $row1 = db_fetch_row($result1);
  if (($cm_path <> "/") && ($row1[1] <> "")) {
    if (fcm_or_authorize ($user_kurz, "", $cm_path, true, true, false)) {
        fcm_title_nav ($cm_path, true, fcm_user_is_admin ($user_kurz), fcm_user_is_owner ($user_kurz, $cm_path), $user_kurz, false);

        $cm_indexpath = str_replace (basename (__FILE__), "", __FILE__) . $cm_mainroot . $cm_path . "/";
        $cm_maxfilesize = substr (get_cfg_var ("upload_max_filesize"), 0, -1) * 1024 * 1024;

        if ($f2d) {
          if (unlink ($cm_indexpath . $f2d)) {
            fcm_message ($cm_text["deletedfile"] . " ($f2d)", CM_MSGSTYLE_INFORMATION);
          }
          else {
            fcm_message ($cm_text["errordelfile"] . " ($f2d)", CM_MSGSTYLE_ERROR);
          }
        }

        if ($cm_upload) {
          if ($_FILES["cm_userfile"]["name"]) {
            if ((is_uploaded_file ($_FILES["cm_userfile"]["tmp_name"])) && (move_uploaded_file ($_FILES["cm_userfile"]["tmp_name"], $cm_indexpath . $_FILES["cm_userfile"]["name"]))) {
              fcm_message ($cm_text["uploadedfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_INFORMATION);
            }
            else {
              fcm_message ($cm_text["errorupfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_ERROR);
            }
          }
        }


        echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"3\"><TR><TD>";
        echo "<p>{$cm_text["uploadlimit"]} " . round ($cm_maxfilesize/1024) . " k</p>";
        echo "<form action=\"fileman.php\" method=\"post\" enctype=\"multipart/form-data\">";
        echo "<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">";
        echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"$cm_maxfilesize\">";
        echo "<input type=\"file\" name=\"cm_userfile\">";
        echo "<input type=\"submit\" name=\"cm_upload\" value=\"{$cm_text["uploadfile"]}\">";
        echo "</form><br>";
        echo "</TD></TR></TABLE>";

        echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"3\">";
      	$cm_dirhandle = opendir($cm_indexpath);
        while (($file = readdir($cm_dirhandle)) != false)
          $cm_sorteddir[count($cm_sorteddir)] = $file;
      	closedir($cm_dirhandle); 
        natcasesort($cm_sorteddir); 
        $cm_curcolor = "filelistevencolor";
      	foreach ($cm_sorteddir as $file) {
          if (($file != ".") && ($file != "..")) {
            if (!is_dir ($cm_indexpath . $file)) {
              $cm_fileext = (string) substr (strrchr ($file, "."), 1);
              if (array_key_exists ($cm_fileext, $cm_file_iconname)) {
                $cm_fileicon = $cm_file_iconname[$cm_fileext];
              }
              else {
                $cm_fileicon = $cm_file_iconname["default"];
              }
              echo "<TR class=\"$cm_curcolor\">";
              echo "<TD><img src=\"$cm_imgpath/$cm_fileicon\" alt=\"\" width=\"$cm_filelist_iconwidth\" height=\"$cm_filelist_iconheight\" border=\"0\"></TD>";
              echo "<TD>" . $file . "</TD>";
              echo "<TD align=\"right\">" . ceil (filesize ($cm_indexpath . $file) / 1024) . " k</TD>";
              echo "<TD>" . date ("Y-m-d H:i:s", filemtime ($cm_indexpath . $file)) . "</TD>";
              echo "<TD>&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"fileman.php?cm_path=$cm_path&f2d=" . urlencode ($file) . "\">{$cm_text["deletefile"]}</a></TD>";
              echo "</TR>";
              $cm_curcolor = cm_swap_rowcolor ($cm_curcolor, "filelistevencolor", "filelistoddcolor");
            }
            elseif ($cm_dirs_inlisting) {
              $cm_fileicon = $cm_file_iconname["directory"];
              echo "<TR class=\"$cm_curcolor\">";
              echo "<TD><img src=\"$cm_imgpath/$cm_fileicon\" alt=\"\" width=\"$cm_filelist_iconwidth\" height=\"$cm_filelist_iconheight\" border=\"0\"></TD>";
              echo "<TD>" . $file . "</TD>";
              echo "<TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD>";
              echo "</TR>";
              $cm_curcolor = cm_swap_rowcolor ($cm_curcolor, "filelistevencolor", "filelistoddcolor");
            }
          }
      	}
        echo "</TABLE>";


    }
    else {
      fcm_title_nav ("", false, false, false, "", false);
      fcm_message ($cm_text["needaccess2delete"], CM_MSGSTYLE_WARNING);
    }
  }
  else {
    fcm_title_nav ("/", false, fcm_user_is_admin ($user_kurz), false, $user_kurz, false);
    fcm_message ($cm_text["invaliddir"], CM_MSGSTYLE_ERROR);
  }
}
else {
  fcm_title_nav ("/", false, fcm_user_is_admin ($user_kurz), false, $user_kurz, false);
  fcm_message ($cm_text["invaliddir"], CM_MSGSTYLE_ERROR);
}






echo $cm_html_footer;

?>